package com.casic.missiles.service.flowable;

import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.flowable.*;

import java.util.List;

/**
 * @Description:
 * @Author: wangpeng
 * @Date: 2022/12/23 14:03
 */
public interface ApprovalOperateService {
    List<List<ApprovalLogResponse>> approvalLog(String processId);

    ReturnDTO agree(ApprovalAgreeRequest request);

    ReturnDTO reject(ApprovalRejectRequest request);

    ReturnDTO refuse(ApprovalRefuseRequest request);

    ReturnDTO revoke(ApprovalRevokeRequest request);

    ReturnDTO delete(ApprovalDeleteRequest request);
}
